---
lang: en
title: 'API docs: express.invokemiddlewareprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/express
permalink: /doc/en/lb4/apidocs.express.invokemiddlewareprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/express](./express.md) &gt; [InvokeMiddlewareProvider](./express.invokemiddlewareprovider.md)

## InvokeMiddlewareProvider class

Extension point for middleware to be run as part of the sequence actions

**Signature:**

```typescript
export declare class InvokeMiddlewareProvider 
```

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [action(middlewareCtx, optionsOrHandlers)](./express.invokemiddlewareprovider.action.md) | <code>static</code> |  |
|  [value(binding, defaultOptions)](./express.invokemiddlewareprovider.value.md) | <code>static</code> |  |


